POSTFreezeBalanceV2

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/freezebalancev2

In Stake 2.0, stake an amount of TRX to obtain bandwidth or energy, and obtain equivalent TRON Power(TP) according to the staked amount

Request Body
owner_addressstringrequired

Transaction initiator address. (Format: Base58 or Hex)

frozen_balanceinteger (int64)required

TRX stake amount, the unit is sun

resourcestringrequired

TRX stake type, 'BANDWIDTH' or 'ENERGY'

Permission_idinteger (int32)

Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
owner_addressstring

Transaction initiator address. (Format: Base58 or Hex)

resourcestring

Type of resource. (Enum: BANDWIDTH, ENERGY)

frozen_balanceinteger (int64)

Amount of TRX to stake. (Unit: sun, in Stake 2.0)

X-API-KEY
RequestCU30
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/freezebalancev2" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "owner_address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM",
  "frozen_balance": 1000000,
  "resource": "ENERGY",
  "visible": true
}'
Response
Example · 200
{
  "owner_address": "string",
  "resource": "string",
  "frozen_balance": 0
}